org.apache.hadoop.yarn.sharedcache

## Interface SharedCacheChecksum

- All Known Implementing Classes:
    ChecksumSHA256Impl

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface SharedCacheChecksum

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `computeChecksum(InputStream in)` Calculate the checksum of the passed input stream.

- - ### Method Detail

    - #### computeChecksum

          String computeChecksum(InputStream in)
                          throws IOException

      Calculate the checksum of the passed input stream.
      Parameters:
        `in` - `InputStream` to be checksumed
      Returns:
        the message digest of the input stream
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.